Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class DrillSideways.DrillSidewaysResult

    java.lang.Object
      org.apache.lucene.facet.search.DrillSideways.DrillSidewaysResult

Enclosing class:
  DrillSideways

    public static class DrillSideways.DrillSidewaysResult

extends Object

Represents the returned result from a drill sideways search.

Field Summary
`List<FacetResult>` | `facetResults` Combined drill down & sideways results.
`TopDocs` | `hits` Hits.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### facetResults

    public final List<FacetResult> facetResults

  Combined drill down & sideways results.

### hits

    public TopDocs hits

  Hits.

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.